Bug 474973 - X11 dies while Rosegarden is loading
X11 dies while Rosegarden is loading
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
: 475499 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 01:56 EST by Phip
Modified: 2009-12-18 02:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X11 Log File (79.97 KB, text/plain)
2008-12-22 17:11 EST, Phip
no flags Details
X11 log (55.66 KB, text/plain)
2008-12-29 02:44 EST, f.pasquarelli
no flags Details
X-server log file (105.47 KB, application/octet-stream)
2009-02-08 12:44 EST, Olof Tångrot
no flags Details
X11 configuration (741 bytes, application/octet-stream)
2009-02-08 12:45 EST, Olof Tångrot
no flags Details

  None (edit)
Description Phip 2008-12-06 01:56:21 EST
Description of problem:
X11 dies while Rosegarden4 is trying to load, dropping back to login screen.

This seems to be caused by my GPU, a Radeon XPress 200M. Bug may be better classified under Xorg-X11-drv-ati than of rosegarden4.

Also, the Rosegarden4 package may just be ancient, I see it is fc9. I installed it today from the fc10 repo.

Version-Release number of selected component (if applicable):
rosegarden4.i386         1.6.1-2.fc9
xorg-x11-drv-ati.i386    6.9.0-59.fc10

How reproducible:
Nearly every time. Sometimes it will load, but X dies about 2/3 of the time. Once loading finishes I have not had a problem.

Steps to Reproduce:
1. Start Rosegarden under GNOME or Openbox
  
Actual results:
Splash screen appears, says (I believe) "initializing view", then screen blinks and drops back to login screen.

Additional info: From Xorg.log:

RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:0 vs g:22016000 w:343680 vs v:19375713

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(xf86SigHandler+0x51) [0x80bcc81]
2: [0x110400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so(radeon_gem_bufmgr_post_submit+0x41) [0x2bbcd1]
4: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSFlushIndirect+0x13e) [0x258a9e]
5: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSReleaseIndirect+0x39) [0x258c99]
6: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCPReleaseIndirect+0xa0) [0x258da0]
7: /usr/lib/xorg/modules/drivers//radeon_drv.so [0x2a1ec3]
8: /usr/lib/xorg/modules/extensions//libdri.so(DRIDoBlockHandler+0xe0) [0x23eb30]
9: /usr/lib/xorg/modules/extensions//libdri.so(DRIBlockHandler+0x6b) [0x23dccb]
10: /usr/bin/Xorg(BlockHandler+0x94) [0x8089b04]
11: /usr/bin/Xorg(WaitForSomething+0x10d) [0x8128f0d]
12: /usr/bin/Xorg(Dispatch+0x7e) [0x8085bce]
13: /usr/bin/Xorg(main+0x47d) [0x806b71d]
14: /lib/libc.so.6(__libc_start_main+0xe5) [0x8b36d5]
15: /usr/bin/Xorg [0x806ab01]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 f.pasquarelli 2008-12-09 06:58:46 EST
I have the same problem with a x86_64 version to fedora 10. Probably the problem
is due the the fact that the rosegarden version is compiled for the fedora 9
version. I solve the problem downloading the src rpm for rosegarden and rebuilding it. Moreover, in this mode, I can update rosegarden to the new 1.7.2 version.
Comment 2 Callum Lerwick 2008-12-11 02:31:36 EST
The X server should not crash for any reason. I'm reassigning to xorg-x11-drv-ati. I can't reproduce on a Radeon 9600XT, but I have my drivers reverted to the F9 version due to bug #474977, perhaps this is related...
Comment 3 f.pasquarelli 2008-12-13 02:53:19 EST
I update my fedora 10 x86_64 end now I have X11 crash with rosegarden
that I have recompiled, moreover the problem is not solve with 
a recompilation.
Comment 4 Matěj Cepl 2008-12-19 18:45:36 EST
The backtrace in the description is impressive, but still I think it would be helpful if you could attach full /var/log/Xorg.0.log to this bug as well.

Thank you very much in advance.
Comment 5 Matěj Cepl 2008-12-22 16:32:30 EST
*** Bug 475499 has been marked as a duplicate of this bug. ***
Comment 6 Phip 2008-12-22 17:11:35 EST
Created attachment 327702 [details]
X11 Log File

As requested, here is my log.
Comment 7 Matěj Cepl 2008-12-22 17:38:43 EST
Yup, here we are!

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(xf86SigHandler+0x51) [0x80bcc81]
2: [0x110400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so(dri_bo_unreference+0x13) [0x2b1c93]
4: /usr/lib/xorg/modules/drivers//radeon_drv.so(radeon_gem_bufmgr_post_submit+0x50) [0x2b1150]
5: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSFlushIndirect+0x13e) [0x24ea9e]
6: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSReleaseIndirect+0x39) [0x24ec99]
7: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCPReleaseIndirect+0xa0) [0x24eda0]
8: /usr/lib/xorg/modules/drivers//radeon_drv.so [0x297e93]
9: /usr/lib/xorg/modules/extensions//libdri.so(DRIDoBlockHandler+0xe0) [0x236b30]
10: /usr/lib/xorg/modules/extensions//libdri.so(DRIBlockHandler+0x6b) [0x235ccb]
11: /usr/bin/Xorg(BlockHandler+0x94) [0x8089b04]
12: /usr/bin/Xorg(WaitForSomething+0x10d) [0x8128f0d]
13: /usr/bin/Xorg(Dispatch+0x7e) [0x8085bce]
14: /usr/bin/Xorg(main+0x47d) [0x806b71d]
15: /lib/libc.so.6(__libc_start_main+0xe5) [0x6a56e5]
16: /usr/bin/Xorg [0x806ab01]
Comment 8 f.pasquarelli 2008-12-29 02:44:42 EST
Created attachment 327914 [details]
X11 log

Hi, as requested I sent my X11 log file.
These are the packages installed on my computer

rosegarden4-1.7.2-2.fc10.x86_64   ( I recompiled it)
xorg-x11-drv-ati-6.9.0-63.fc10.x86_64
Comment 9 Mukund Sivaraman 2008-12-29 09:04:44 EST
I can confirm that this Rosegarden crash problem disappears for me if I add nomodeset to the kernel cmdline.
Comment 10 f.pasquarelli 2008-12-30 04:28:17 EST
I also confirm that the nomodeset to the kernel cmdline solve
the crash problem but in this way the boot is not graphics
(he is not able to have everything ....)
Comment 11 Olof Tångrot 2009-02-08 12:43:53 EST
I have recompiled rosegarden from latest source but the X-server still crashes.
Comment 12 Olof Tångrot 2009-02-08 12:44:29 EST
Created attachment 331250 [details]
X-server log file
Comment 13 Olof Tångrot 2009-02-08 12:45:44 EST
Created attachment 331251 [details]
X11 configuration
Comment 14 Bug Zapper 2009-11-18 04:38:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 02:11:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.